<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="wiced__data__types_8h" kind="file" language="C++">
    <compoundname>wiced_data_types.h</compoundname>
    <includes local="no">stdint.h</includes>
    <includes local="no">string.h</includes>
    <includedby local="yes" refid="wiced__bt__types_8h">wiced_bt_types.h</includedby>
    <includedby local="yes" refid="wiced__bt__cfg_8h">wiced_bt_cfg.h</includedby>
    <includedby local="yes" refid="wiced__bt__stack__platform_8h">wiced_bt_stack_platform.h</includedby>
    <includedby local="yes" refid="wiced__memory_8h">wiced_memory.h</includedby>
    <incdepgraph>
      <node id="54">
        <label>stdint.h</label>
      </node>
      <node id="55">
        <label>string.h</label>
      </node>
      <node id="53">
        <label>wiced_data_types.h</label>
        <link refid="wiced__data__types_8h" />
        <childnode refid="54" relation="include">
        </childnode>
        <childnode refid="55" relation="include">
        </childnode>
      </node>
    </incdepgraph>
    <innerclass prot="public" refid="structwiced__bt__lock__t">wiced_bt_lock_t</innerclass>
      <sectiondef kind="user-defined">
      <memberdef id="group__gentypes_1ga98455f16ecc9e3b1e94af3d3437416f5" kind="define" prot="public" static="no">
        <name>WICED_FALSE</name>
        <initializer>0</initializer>
        <briefdescription>
<para>Wiced false. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" bodystart="24" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" line="24" />
      </memberdef>
      <memberdef id="group__gentypes_1ga5b2438400e0a0860adaae6d13fec33f8" kind="define" prot="public" static="no">
        <name>WICED_TRUE</name>
        <initializer>1</initializer>
        <briefdescription>
<para>Wiced true. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" bodystart="25" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" line="25" />
      </memberdef>
      <memberdef id="group__gentypes_1gaa93f0eb578d23995850d61f7d61c55c1" kind="define" prot="public" static="no">
        <name>FALSE</name>
        <initializer>0</initializer>
        <briefdescription>
<para>false </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" bodystart="28" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" line="28" />
      </memberdef>
      <memberdef id="group__gentypes_1gaa8cecfc5c5c054d2875c03e77b7be15d" kind="define" prot="public" static="no">
        <name>TRUE</name>
        <initializer>1</initializer>
        <briefdescription>
<para>true </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" bodystart="32" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" line="32" />
      </memberdef>
      <memberdef id="group__gentypes_1ga97c8bde23bbca19bb57f78d2eb6ab36c" kind="define" prot="public" static="no">
        <name>WICED_BT_STRUCT_PACKED</name>
        <initializer>struct</initializer>
        <briefdescription>
<para>packed structure </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" bodystart="42" column="10" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" line="42" />
      </memberdef>
      <memberdef id="group__gentypes_1gaf559ec18050599646fbf55d40ed98b37" kind="define" prot="public" static="no">
        <name>WICED_BT_UNION_PACKED</name>
        <initializer>union</initializer>
        <briefdescription>
<para>packed union </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" bodystart="43" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" line="43" />
      </memberdef>
      <memberdef id="group__gentypes_1ga6c327dc4edeae1729c0742debf67ab0e" kind="define" prot="public" static="no">
        <name>WICED_SUPPRESS_WARNINGS</name>
        <param><defname>m</defname></param>
        <initializer>if((m)){;}</initializer>
        <briefdescription>
<para>Surpress Warnings. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" bodystart="47" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" line="47" />
      </memberdef>
      <memberdef id="group__gentypes_1ga4048bf3892868ded8a28f8cbdd339c09" kind="define" prot="public" static="no">
        <name>UNUSED_VARIABLE</name>
        <param><defname>x</defname></param>
        <initializer>/*@-noeffect@*/ ( (void)(x) ) /*@+noeffect@*/</initializer>
        <briefdescription>
<para>Unused Variable. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" bodystart="52" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" line="52" />
      </memberdef>
      <memberdef id="group__gentypes_1ga6932fa14acb0fcfd1f6b388e9e8052f9" kind="define" prot="public" static="no">
        <name>WICED_MEMCPY</name>
        <param><defname>a</defname></param>
        <param><defname>b</defname></param>
        <param><defname>c</defname></param>
        <initializer>memcpy((void*)(a), (const void*)(b), c)</initializer>
        <briefdescription>
<para>Wiced Memory copy. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" bodystart="56" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" line="56" />
      </memberdef>
      <memberdef id="group__gentypes_1ga4f0e2d112639989c914af8f8503362cc" kind="define" prot="public" static="no">
        <name>WICED_MEMSET</name>
        <param><defname>a</defname></param>
        <param><defname>b</defname></param>
        <param><defname>c</defname></param>
        <initializer>memset((void*)(a), b, c)</initializer>
        <briefdescription>
<para>Wiced Memory set. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" bodystart="57" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" line="57" />
      </memberdef>
      <memberdef id="group__gentypes_1ga9182630eeae6bc96b5fcc983cb7da366" kind="define" prot="public" static="no">
        <name>WICED_MEMMOVE</name>
        <param><defname>a</defname></param>
        <param><defname>b</defname></param>
        <param><defname>c</defname></param>
        <initializer>memmove((void*)(a), (const void*)(b), c)</initializer>
        <briefdescription>
<para>Wiced Memory move. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" bodystart="58" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" line="58" />
      </memberdef>
      <memberdef id="group__gentypes_1gab7793d9d0219f4c7ec333562b5b91407" kind="define" prot="public" static="no">
        <name>WICED_MEMCMP</name>
        <param><defname>a</defname></param>
        <param><defname>b</defname></param>
        <param><defname>c</defname></param>
        <initializer>memcmp((void*)(a), (const void*)(b), c)</initializer>
        <briefdescription>
<para>Wiced Memory compare. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" bodystart="59" column="9" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" line="59" />
      </memberdef>
      <memberdef id="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064" kind="typedef" prot="public" static="no">
        <type>unsigned int</type>
        <definition>typedef unsigned int wiced_bool_t</definition>
        <argsstring />
        <name>wiced_bool_t</name>
        <briefdescription>
<para>Wiced Boolean. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" bodystart="62" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" line="62" />
      </memberdef>
      <memberdef id="group__gentypes_1gabc649ae1a0417bf22e71c4b72543a67f" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* pf_wiced_exception) (uint16_t code, char *msg, void *ptr)</definition>
        <argsstring>)(uint16_t code, char *msg, void *ptr)</argsstring>
        <name>pf_wiced_exception</name>
        <briefdescription>
<para>Exception callback : </para>
        </briefdescription>
        <detaileddescription>
<para>Called by stack in case of unhandled exceptions and critical errors.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">code</parametername>
</parameternamelist>
<parameterdescription>
<para>: Exception code </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">msg</parametername>
</parameternamelist>
<parameterdescription>
<para>: Exception string </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_tr</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to the data (based on the exception)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>void </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" bodystart="84" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" line="84" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/****************************************************************************</highlight></codeline>
<codeline lineno="2"><highlight class="comment">**</highlight></codeline>
<codeline lineno="3"><highlight class="comment">**<sp />Name:<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />wiced_data_types.h</highlight></codeline>
<codeline lineno="4"><highlight class="comment">**</highlight></codeline>
<codeline lineno="5"><highlight class="comment">**<sp />Description:<sp /><sp />wiced<sp />data<sp />types<sp />header<sp />file<sp />for<sp />VS2010<sp />projects</highlight></codeline>
<codeline lineno="6"><highlight class="comment">**</highlight></codeline>
<codeline lineno="7"><highlight class="comment">**<sp />Copyright<sp />(c)<sp />Cypress<sp />Semiconductor</highlight></codeline>
<codeline lineno="8"><highlight class="comment">**</highlight></codeline>
<codeline lineno="9"><highlight class="comment">******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="10"><highlight class="normal" /></codeline>
<codeline lineno="11"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp />WICED_DATA_TYPES_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="12"><highlight class="normal" /><highlight class="preprocessor">#define<sp />WICED_DATA_TYPES_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="13"><highlight class="normal" /></codeline>
<codeline lineno="14"><highlight class="normal" /></codeline>
<codeline lineno="15"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="16"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;string.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="17"><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="preprocessor">#define<sp />WICED_FALSE<sp />0<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="25"><highlight class="preprocessor">#define<sp />WICED_TRUE<sp /><sp />1<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="27"><highlight class="preprocessor">#ifndef<sp />FALSE</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#define<sp />FALSE<sp />0<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="29"><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp />TRUE</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#define<sp />TRUE<sp /><sp />1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="33"><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__ARM__</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor">#define<sp />WICED_BT_STRUCT_PACKED<sp /><sp />__packed()<sp />struct<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="37"><highlight class="preprocessor">#define<sp />WICED_BT_UNION_PACKED<sp /><sp />__packed()<sp />union<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="38"><highlight class="preprocessor">#elif<sp />defined(TOOLCHAIN_gnu)<sp />||<sp />defined(COMPILER_GNU)</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="preprocessor">#define<sp />WICED_BT_STRUCT_PACKED<sp />struct<sp />__attribute__((packed))<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="40"><highlight class="preprocessor">#define<sp />WICED_BT_UNION_PACKED<sp /><sp />union<sp /><sp />__attribute__((packed))<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="41"><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /><highlight class="preprocessor">#define<sp />WICED_BT_STRUCT_PACKED<sp /><sp />struct<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="43"><highlight class="preprocessor">#define<sp />WICED_BT_UNION_PACKED<sp /><sp /><sp />union<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="44"><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="preprocessor">#define<sp />WICED_SUPPRESS_WARNINGS(m)<sp />if((m)){;}</highlight><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal" /><highlight class="comment">/*<sp />Suppress<sp />unused<sp />variable<sp />warning<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp />UNUSED_VARIABLE</highlight><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="preprocessor">#define<sp />UNUSED_VARIABLE(x)<sp /></highlight><highlight class="comment">/*@-noeffect@*/</highlight><highlight class="preprocessor"><sp />(<sp />(void)(x)<sp />)<sp /></highlight><highlight class="comment">/*@+noeffect@*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="normal" /><highlight class="comment">/*<sp />To<sp />prevent<sp />complier<sp />to<sp />optimize<sp />with<sp />LDM<sp />and<sp />STM<sp />instructions<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal" /><highlight class="preprocessor">#define<sp />WICED_MEMCPY(a,<sp />b,<sp />c)<sp /><sp /><sp /><sp /><sp /><sp /><sp />memcpy((void*)(a),<sp />(const<sp />void*)(b),<sp />c)<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="57"><highlight class="preprocessor">#define<sp />WICED_MEMSET(a,<sp />b,<sp />c)<sp /><sp /><sp /><sp /><sp /><sp /><sp />memset((void*)(a),<sp />b,<sp />c)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="58"><highlight class="preprocessor">#define<sp />WICED_MEMMOVE(a,<sp />b,<sp />c)<sp /><sp /><sp /><sp /><sp /><sp />memmove((void*)(a),<sp />(const<sp />void*)(b),<sp />c)<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="59"><highlight class="preprocessor">#define<sp />WICED_MEMCMP(a,<sp />b,<sp />c)<sp /><sp /><sp /><sp /><sp /><sp /><sp />memcmp((void*)(a),<sp />(const<sp />void*)(b),<sp />c)<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="62"><highlight class="preprocessor">typedef<sp />unsigned<sp />int<sp /><sp /><sp />wiced_bool_t;</highlight><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal" /></codeline>
<codeline lineno="67" refid="structwiced__bt__lock__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{</highlight></codeline>
<codeline lineno="68"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp />p_lock_context;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="69"><highlight class="normal"><sp /><sp /><sp /><sp />void<sp />(*pf_lock_func)(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*<sp />p_lock_context);<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="70"><highlight class="normal"><sp /><sp /><sp /><sp />void<sp />(*pf_unlock_func)(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*<sp />p_lock_context);<sp /><sp /></highlight></codeline>
<codeline lineno="71"><highlight class="normal">}<ref kindref="compound" refid="structwiced__bt__lock__t">wiced_bt_lock_t</ref>;</highlight></codeline>
<codeline lineno="72"><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(*<ref kindref="member" refid="group__gentypes_1gabc649ae1a0417bf22e71c4b72543a67f">pf_wiced_exception</ref>)(uint16_t<sp />code,<sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal">*<sp />msg,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp />ptr);</highlight></codeline>
<codeline lineno="86"><highlight class="preprocessor">#endif</highlight></codeline>
    </programlisting>
    <location file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" />
  </compounddef>
</doxygen>